Package org.opensaml.xmlsec.algorithm

# Interface AlgorithmDescriptor

All Known Subinterfaces:
  `BlockEncryptionAlgorithm`, `DigestAlgorithm`, `KeyAgreementAlgorithm`, `KeyLengthSpecifiedAlgorithm`, `KeySpecifiedAlgorithm`, `KeyTransportAlgorithm`, `MACAlgorithm`, `SignatureAlgorithm`, `SymmetricKeyWrapAlgorithm`

All Known Implementing Classes:
  `BlockEncryptionAES128CBC`, `BlockEncryptionAES128GCM`, `BlockEncryptionAES192CBC`, `BlockEncryptionAES192GCM`, `BlockEncryptionAES256CBC`, `BlockEncryptionAES256GCM`, `BlockEncryptionDESede`, `DigestMD5`, `DigestRIPEMD160`, `DigestSHA1`, `DigestSHA224`, `DigestSHA256`, `DigestSHA3_224`, `DigestSHA3_256`, `DigestSHA3_384`, `DigestSHA3_512`, `DigestSHA384`, `DigestSHA512`, `HMACMD5`, `HMACRIPEMD160`, `HMACSHA1`, `HMACSHA224`, `HMACSHA256`, `HMACSHA384`, `HMACSHA512`, `KeyAgreementDHExplicitKDF`, `KeyAgreementDHLegacyKDF`, `KeyAgreementECDH`, `KeyTransportRSA15`, `KeyTransportRSAOAEP`, `KeyTransportRSAOAEPMGF1P`, `SignatureDSASHA1`, `SignatureDSASHA256`, `SignatureECDSASHA1`, `SignatureECDSASHA224`, `SignatureECDSASHA256`, `SignatureECDSASHA384`, `SignatureECDSASHA512`, `SignatureRSAMD5`, `SignatureRSARIPEMD160`, `SignatureRSASHA1`, `SignatureRSASHA224`, `SignatureRSASHA256`, `SignatureRSASHA384`, `SignatureRSASHA512`, `SignatureRSASSA_PSS_SHA1_MGF1`, `SignatureRSASSA_PSS_SHA224_MGF1`, `SignatureRSASSA_PSS_SHA256_MGF1`, `SignatureRSASSA_PSS_SHA3_224_MGF1`, `SignatureRSASSA_PSS_SHA3_256_MGF1`, `SignatureRSASSA_PSS_SHA3_384_MGF1`, `SignatureRSASSA_PSS_SHA3_512_MGF1`, `SignatureRSASSA_PSS_SHA384_MGF1`, `SignatureRSASSA_PSS_SHA512_MGF1`, `SymmetricKeyWrapAES128`, `SymmetricKeyWrapAES192`, `SymmetricKeyWrapAES256`, `SymmetricKeyWrapDESede`

public interface AlgorithmDescriptor
An interface for components which describe an algorithm identified by an algorithm URI.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`AlgorithmDescriptor.AlgorithmType`
Algorithm descriptor types.

## Method Summary

Modifier and Type
Method
Description
`String`
`getJCAAlgorithmID()`
Get the algorithm's JCA algorithm ID.
`AlgorithmDescriptor.AlgorithmType`
`getType()`
Get the algorithm URI's fundamental type.
`String`
`getURI()`
Get the algorithm's identifying URI.

## Method Details

### getURI

@Nonnull @NotEmpty String getURI()
Get the algorithm's identifying URI.

Returns:
  the algorithm URI

### getType

@Nonnull AlgorithmDescriptor.AlgorithmType getType()
Get the algorithm URI's fundamental type.

Returns:
  a type specified with `AlgorithmDescriptor.AlgorithmType`

### getJCAAlgorithmID

@Nonnull @NotEmpty String getJCAAlgorithmID()
Get the algorithm's JCA algorithm ID.

Returns:
  the JCA algorithm ID